=== debian/changelog ===
ros-kinetic-seed-r7-ros-controller (0.3.4-1xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- hi.kondo <hi.kondo@thk.co.jp>  Mon, 16 Dec 2019 06:32:19 -0000
