=== debian/control ===
Source: ros-kinetic-seed-r7-ros-controller
Section: misc
Priority: optional
Maintainer: hi.kondo <hi.kondo@thk.co.jp>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-angles, ros-kinetic-catkin, ros-kinetic-control-msgs, ros-kinetic-control-toolbox, ros-kinetic-controller-manager, ros-kinetic-geometry-msgs, ros-kinetic-hardware-interface, ros-kinetic-joint-limits-interface, ros-kinetic-joint-state-controller, ros-kinetic-joint-trajectory-controller, ros-kinetic-message-generation, ros-kinetic-move-base-msgs, ros-kinetic-nav-msgs, ros-kinetic-pluginlib, ros-kinetic-realtime-tools, ros-kinetic-roscpp, ros-kinetic-rostest, ros-kinetic-seed-r7-description, ros-kinetic-seed-smartactuator-sdk, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-tf, ros-kinetic-trajectory-msgs, ros-kinetic-transmission-interface, ros-kinetic-urdf
Homepage: http://ros.org/wiki/
Standards-Version: 3.9.2

Package: ros-kinetic-seed-r7-ros-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-angles, ros-kinetic-control-msgs, ros-kinetic-control-toolbox, ros-kinetic-controller-manager, ros-kinetic-geometry-msgs, ros-kinetic-hardware-interface, ros-kinetic-joint-limits-interface, ros-kinetic-joint-state-controller, ros-kinetic-joint-trajectory-controller, ros-kinetic-message-generation, ros-kinetic-move-base-msgs, ros-kinetic-nav-msgs, ros-kinetic-pluginlib, ros-kinetic-realtime-tools, ros-kinetic-roscpp, ros-kinetic-rostest, ros-kinetic-seed-r7-description, ros-kinetic-seed-smartactuator-sdk, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-tf, ros-kinetic-trajectory-msgs, ros-kinetic-transmission-interface, ros-kinetic-urdf
Description: The seed_r7_ros_controller package
